Your message dated Wed, 27 Jan 2010 09:29:55 +0100
with message-id <20100127082955.ga5...@blegrez.ba.issia.cnr.it>
and subject line done in 1.8.4-3
has caused the Debian Bug report #566738,
regarding libhdf5-lam-1.8.4 and libhdf5-lam-1.8.3: error when trying to install 
together
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
566738: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=566738
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: libhdf5-lam-1.8.3,libhdf5-lam-1.8.4
Version: libhdf5-lam-1.8.3/1.8.3-2.1
Version: libhdf5-lam-1.8.4/1.8.4-1
Severity: serious
User: trei...@debian.org
Usertags: edos-file-overwrite

Date: 2010-01-24
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


WARNING: The following packages cannot be authenticated!
  liblam4 libhdf5-lam-1.8.3 libhdf5-lam-1.8.4
W: cowdancer: unsupported operation flock, read-only open and 
fchown/fchmod/flock are not supported: tried openning dev:inode of 2055:5408175
W: cowdancer: unsupported operation flock, read-only open and 
fchown/fchmod/flock are not supported: tried openning dev:inode of 2055:5407760
W: cowdancer: unsupported operation flock, read-only open and 
fchown/fchmod/flock are not supported: tried openning dev:inode of 2055:5408177
Authentication warning overridden.
Can not write log, openpty() failed (/dev/pts not mounted?)
Selecting previously deselected package liblam4.
(Reading database ... 12276 files and directories currently installed.)
Unpacking liblam4 (from .../liblam4_7.1.2-1.5_amd64.deb) ...
Selecting previously deselected package libhdf5-lam-1.8.3.
Unpacking libhdf5-lam-1.8.3 (from .../libhdf5-lam-1.8.3_1.8.3-2.1_amd64.deb) ...
Selecting previously deselected package libhdf5-lam-1.8.4.
Unpacking libhdf5-lam-1.8.4 (from .../libhdf5-lam-1.8.4_1.8.4-1_amd64.deb) ...
dpkg: error processing 
/var/cache/apt/archives/libhdf5-lam-1.8.4_1.8.4-1_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/libhdf5.so.6', which is also in package 
libhdf5-lam-1.8.3 0:1.8.3-2.1
Errors were encountered while processing:
 /var/cache/apt/archives/libhdf5-lam-1.8.4_1.8.4-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


This is a serious bug as it makes installation fail, and violates
sections 7.6.1 and 10.1 of the policy. An optimal solution would
consist in only one of the packages installing that file, and renaming
or removing the file in the other package. Depending on the
circumstances you might also consider Replace relations or file
diversions. If the conflicting situation cannot be resolved then, as a
last resort, the two packages have to declare a mutual
Conflict. Please take into account that Replaces, Conflicts and
diversions should only be used when packages provide different
implementations for the same functionality.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  /usr/lib/libhdf5.so.6
  /usr/lib/libhdf5_hl.so.6

This bug is assigned to both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package.

-Ralf.

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.



--- End Message ---
--- Begin Message ---
Package: libhdf5-lam-1.8.3
Version: 1.8.4-3

Fixed in the version above, thanks.

-- 
Francesco P. Lovergine


--- End Message ---
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to